Bug 1778177 - Exporting in /tmp directory without access permissions doesnt throw and error as expected.
Summary: Exporting in /tmp directory without access permissions doesnt throw and error...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Templates Plugin
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: 6.7.0
Assignee: Ondřej Pražák
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks: 1778146
TreeView+ depends on / blocked
 
Reported: 2019-11-29 12:43 UTC by Jitendra Yejare
Modified: 2020-10-12 09:41 UTC (History)
2 users (show)

Fixed In Version: rubygem-foreman_templates-7.0.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28467 Normal Closed Make users aware that exporting directly into /tmp directory is not possible due to PrivateTmp=true 2020-10-26 09:05:16 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:00 UTC

Description Jitendra Yejare 2019-11-29 12:43:32 UTC
Description:
---------------
Exporting Foreman templates in /tmp directory works but without access permissions(foreman user as owner of the directory and no selinux context). It doesn't throw and error as expected.


Versions:
---------------
Satellite 6.7 snap 3


How repro:
---------------
Always


Steps:
---------------
1. Go to Hosts -> Templates -> sync templates.
2. Attempt to export in '/tmp' directory by setting 'Repo' option to 'tmp' and all the required export options.


Actual Behavior:
-------------------
1. The templates are exported to /tmp directory without foreman being the owner of the dir and no selinux contests to that have permissions to access the dir.


Expected Behavior:
----------------------
The export to /tmp dir should not be allowed/success until it has foreman user as owner and correct selinux contest.

Comment 5 Ondřej Pražák 2019-12-10 10:02:15 UTC
Created redmine issue https://projects.theforeman.org/issues/28467 from this bug

Comment 7 Bryan Kearney 2019-12-10 13:03:12 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 8 Bryan Kearney 2019-12-10 13:03:14 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 9 Bryan Kearney 2019-12-10 17:03:25 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28467 has been resolved.

Comment 13 errata-xmlrpc 2020-04-14 13:27:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.